All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.support.remotefileselector
Class BaseRemoteFileSelectorSupportV2

    com.sas.actionprovider.support.remotefileselector.BaseRemoteFileSelectorSupportV2

All Implemented Interfaces:
  RemoteFileActionTypeKeysInterface, RemoteFileSelectorAreaInterface

    @SASScope(value="ALL")
    public abstract class BaseRemoteFileSelectorSupportV2

implements RemoteFileSelectorAreaInterface, RemoteFileActionTypeKeysInterface

In the context of the ActionProvider framework, this Support class assists in the registering and retrieval of actions for RemoteFileSelector components.

Since:
  3.1

Field Summary

Fields inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`AREA_DISABLED, AREA_VALUE_ATTRKEY, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, NON_SPECIFIC_AREA, UNSUPPORTED, VIEWER_DISABLED`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector.RemoteFileSelectorAreaInterface
`COMBO_AREA, DRILL_DOWN_AREA, FILTER_TYPE_AREA, SEARCH_BUTTON_AREA, TOOLBAR_AREA, TREE_AREA`

Fields inherited from interface com.sas.actionprovider.support.remotefileselector.RemoteFileActionTypeKeysInterface
`ADD_FOLDER_ACTION, DISPLAY_SEARCH_RESULTS_ACTION, OPEN_FOLDER_ACTION, START_SEARCH_ACTION, UP_ONE_LEVEL_ACTION`

Constructor Summary
`BaseRemoteFileSelectorSupportV2(java.lang.Class actionClass)` Constructor that allows specification of an action class.

Method Summary
`protected BaseAction` | `createAndRegisterAction(java.lang.String areaType, java.lang.String actionType)`
`protected void` | `createDefaultActions()` Initializes the actionClass property and creates the default actions that this class supports.
`protected java.util.Map` | `getAreaScopeAttributeMap(ActionSupportFilter filter)` Returns mappings for a pre-defined set of Action Attribute keys to their corresponding dynamic values for a specific area.
`void` | `initialize()` Performs the object initialization functions.
`protected void` | `registerComboActions(java.lang.String areaType)`
`protected void` | `registerDynamicValueInfo()`
`protected void` | `registerSearchActions(java.lang.String areaType)`
`protected void` | `registerToolBarActions(java.lang.String areaType)`
`protected boolean` | `validArea(Area area, ActionSupportFilter filter)` Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter.

Methods inherited from class com.sas.actionprovider.support.BaseActionProviderSupport
`addDefaultAction, getAction, getActionId, getActionOrderList, getActionProvider, getActions, getActionScopeAttribute, getActionScopeAttributeMap, getDefaultAction, getLocale, listActionTypes, listAreaTypes, listDefaultActions, newActionInstance, reset, setAction, setActionOrderList, setActionProvider, setLocale`

Constructor Detail

### BaseRemoteFileSelectorSupportV2

    public BaseRemoteFileSelectorSupportV2(java.lang.Class actionClass)

  Constructor that allows specification of an action class.

  Parameters:
    `actionClass` - The class used to instantiate new actions.

Method Detail

### registerDynamicValueInfo

    protected void registerDynamicValueInfo()

### initialize

    public void initialize()

  Performs the object initialization functions.

  Specified by:
    `initialize` in class `BaseActionProviderSupport`
  See Also:
    `BaseActionProviderSupport.setLocale(java.util.Locale)`

### createDefaultActions

    protected void createDefaultActions()

  Initializes the actionClass property and creates the default actions that this class supports. This method is called by the action provider that instantiates this support class.

### registerComboActions

    protected void registerComboActions(java.lang.String areaType)

### registerToolBarActions

    protected void registerToolBarActions(java.lang.String areaType)

### registerSearchActions

    protected void registerSearchActions(java.lang.String areaType)

### getAreaScopeAttributeMap

    protected java.util.Map getAreaScopeAttributeMap(ActionSupportFilter filter)

  Returns mappings for a pre-defined set of Action Attribute keys to their corresponding dynamic values for a specific area.
  This method will become abstract once everyone makes the conversion from setActionAttributes()

  Specified by:
    `getAreaScopeAttributeMap` in class `BaseActionProviderSupport`
  Parameters:
    `filter` - Defines the specific area.
  Returns:
    mappings for a pre-defined set of Action Attribues keys

### createAndRegisterAction

    protected BaseAction createAndRegisterAction(java.lang.String areaType,
                                                 java.lang.String actionType)

### validArea

    protected boolean validArea(Area area,
                                ActionSupportFilter filter)

  Validates that the given Area's 'type' and, if specified, its 'value' constraints are met by the information provided on the action filter.

  Specified by:
    `validArea` in class `BaseActionProviderSupport`
  Parameters:
    `area` - The Area object that may or may not specify certain area 'values'.
    `actionFilter` - the ActionSupportFilter that the component passed as an argument on the getActions() method.
  Returns:
    a boolean indicating whether the current area represented on the actionFilter matches any of the specified values on the Area object.
  See Also:
    `BaseActionProviderSupport.setAction(com.sas.actionprovider.BaseAction, java.util.Collection, com.sas.actionprovider.Area)`, `BaseActionProviderSupport.getActions(com.sas.actionprovider.ActionSupportFilter)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.